Bug 204231 - Setting clock cannot display correctly.
Setting clock cannot display correctly.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
5
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-27 09:05 EDT by Takeshi Furuya
Modified: 2014-03-16 23:01 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-16 19:59:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Takeshi Furuya 2006-08-27 09:05:15 EDT
Description of problem:

When booting up linux (using non-English language), Console trys to display a
local date format, but console cannot non-ascii character.(ie. Japanese) 


Version-Release number of selected component (if applicable):


How reproducible:

Set system Language Japanese.


Steps to Reproduce:
1. Set system Language Japanese(or other non-English language).
2. Reboot.

Actual results:

When booting sequence starting, display unreadable characters.
  

Expected results:

I think it should be display English time format.
In /etc/rc.sysinit, line 145,

From:
action $"Setting clock $CLOCKDEF: `date`" /bin/true
To:
action $"Setting clock $CLOCKDEF: `LC_ALL=C date`" /bin/true

after changed, display correctly.


Additional info:
Comment 1 Bill Nottingham 2007-04-16 19:59:01 EDT
This should be fixed in FC6, and is definitely fixed in the F7 development trees.

Note You need to log in before you can comment on or make changes to this bug.